# Uses of Interface
org.apache.sling.jackrabbit.usermanager.impl.resource.AuthorizableResourceProvider.PrincipalWorker

Packages that use AuthorizableResourceProvider.PrincipalWorker
Package
Description
org.apache.sling.jackrabbit.usermanager.impl.resource

## Uses of AuthorizableResourceProvider.PrincipalWorker in org.apache.sling.jackrabbit.usermanager.impl.resource

Methods in org.apache.sling.jackrabbit.usermanager.impl.resource with parameters of type AuthorizableResourceProvider.PrincipalWorker
Modifier and Type
Method
Description
`protected <T> T`
AuthorizableResourceProvider.`maybeDoAuthorizableWork(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<Object> ctx, @NotNull String path, @NotNull AuthorizableResourceProvider.AuthorizableWorker<T> authorizableWorker, @Nullable AuthorizableResourceProvider.PrincipalWorker<T> principalWorker)`
If the path resolves to a user or group (with optional relPath suffix) then invoke the worker to do some work.